Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034977
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] C. Securityminoralways2017-01-17 10:142017-03-15 20:18
ReporteregoitzView Statuspublic 
Assigned Toinigosanchez 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revision356f374645a1
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2016-06-15
Regression introduced in release3.0PR16Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/463564b77a032485223cc070cf0aa66f6f0e03d8 [^]
Triggers an Emergency PackNo
Summary

0034977: A deactivated organization can not be activated again.

DescriptionIf you deactivate an organization you can not activate it again as the row is not ediable.
Steps To Reproduce-Access on an application with F&B data
-Using admin role deactivate the España sur organization
-Logout and login with the same role.
-check that the España sur organization is not editable so you can not activate it
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00350643.0PR17Q1 closedinigosanchez A deactivated organization can not be activated again. 
depends on backport 00350653.0PR16Q4.3 closedinigosanchez A deactivated organization can not be activated again. 
depends on backport 00350663.0PR16Q3.6 closedinigosanchez A deactivated organization can not be activated again. 
caused by defect 0033166 closedalostale Role with access to one organization can edit all of them in Organization window 

-  Notes
(0093855)
hgbot (developer)
2017-01-27 01:45

Repository: erp/devel/pi
Changeset: 356f374645a18c17873328ef74e9be6bca414fcc
Author: Inigo Sanchez <inigo.sanchez <at> openbravo.com>
Date: Fri Jan 27 01:44:41 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/356f374645a18c17873328ef74e9be6bca414fcc [^]

Fixed issue 34977: A deactivated organization can not be activated again.

When an organization was disabled you could not activate it again as the row was not ediable. This
problem was introduced in a fix related with the code of addWritableAttribute() method of
DefaultJsonDataService class. Before this fix, It was managing the reported case properly (Activate
again a deactivated organization) because this method was handling the particular case of Organizations.

Now is taking into account this particular case (deactivate organizations) in order to manages this
particular case properly. Now it is possible to activate again a deactivate organization.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
M src/org/openbravo/dal/core/OBContext.java
M src/org/openbravo/dal/security/SecurityChecker.java
---
(0093872)
inigosanchez (developer)
2017-01-27 11:52

TestLink > 3.0 Test Suite > Regression test cases > Test cases for 3.0PR16Q3:
> 34977 A deactivated organization should be activated again
> 34977 Role with access to one organization can't edit the rest of organizations
(0093991)
alostale (developer)
2017-02-01 16:03

Tested -> working fine
Code review -> some minor issues (don't require to be backported) https://docs.google.com/spreadsheets/d/18l2biKWeG6iGDIPqO6VuYQ_TtP_6YxyQU4KSrPvQlJ8/edit#gid=0 [^]
(0093998)
hgbot (developer)
2017-02-01 19:14

Repository: erp/devel/pi
Changeset: 0ebde0551a1ffd24a8bbe1345ad00d895039e3b6
Author: Inigo Sanchez <inigo.sanchez <at> openbravo.com>
Date: Wed Feb 01 19:13:34 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0ebde0551a1ffd24a8bbe1345ad00d895039e3b6 [^]

Related with issue 34977: Codereview improvements

Some changes related with improving performance and legibility.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
M src/org/openbravo/dal/core/OBContext.java
---
(0094022)
alostale (developer)
2017-02-03 07:13

code reviewed and tested
(0094644)
inigosanchez (developer)
2017-02-27 16:39

Added automatic test in selenium (pi-smoke-platform): https://code.openbravo.com/tools/automation/pi-smoke-platform/rev/0745d9721db5 [^]
(0095123)
hudsonbot (developer)
2017-03-15 20:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095151)
hudsonbot (developer)
2017-03-15 20:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-01-17 10:14 egoitz New Issue
2017-01-17 10:14 egoitz Assigned To => platform
2017-01-17 10:14 egoitz Modules => Core
2017-01-17 10:14 egoitz Triggers an Emergency Pack => No
2017-01-18 14:34 eugeni Issue Monitored: eugeni
2017-01-20 08:49 alostale Priority normal => urgent
2017-01-20 08:49 alostale Status new => acknowledged
2017-01-20 08:49 alostale Summary An deactivated organization can not be activated again. => A deactivated organization can not be activated again.
2017-01-20 08:52 alostale Status acknowledged => scheduled
2017-01-20 08:52 alostale Assigned To platform => inigosanchez
2017-01-25 08:37 caristu Relationship added caused by 0033166
2017-01-25 09:16 caristu Regression level => Production - Confirmed Stable
2017-01-25 09:16 caristu Regression date => 2016-06-15
2017-01-25 09:16 caristu Regression introduced in release => 3.0PR16Q3
2017-01-25 09:16 caristu Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/463564b77a032485223cc070cf0aa66f6f0e03d8 [^]
2017-01-25 09:16 caristu Severity major => minor
2017-01-27 01:01 inigosanchez Status scheduled => acknowledged
2017-01-27 01:01 inigosanchez Status acknowledged => scheduled
2017-01-27 01:43 inigosanchez Review Assigned To => caristu
2017-01-27 01:45 hgbot Checkin
2017-01-27 01:45 hgbot Note Added: 0093855
2017-01-27 01:45 hgbot Status scheduled => resolved
2017-01-27 01:45 hgbot Resolution open => fixed
2017-01-27 01:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/356f374645a18c17873328ef74e9be6bca414fcc [^]
2017-01-27 11:52 inigosanchez Review Assigned To caristu => alostale
2017-01-27 11:52 inigosanchez Note Added: 0093872
2017-02-01 16:03 alostale Note Added: 0093991
2017-02-01 16:03 alostale Status resolved => new
2017-02-01 16:03 alostale Resolution fixed => open
2017-02-01 16:14 inigosanchez Status new => scheduled
2017-02-01 19:14 hgbot Checkin
2017-02-01 19:14 hgbot Note Added: 0093998
2017-02-01 19:15 inigosanchez Status scheduled => resolved
2017-02-01 19:15 inigosanchez Resolution open => fixed
2017-02-03 07:13 alostale Note Added: 0094022
2017-02-03 07:13 alostale Status resolved => closed
2017-02-03 07:13 alostale Fixed in Version => 3.0PR17Q2
2017-02-27 16:39 inigosanchez Note Added: 0094644
2017-03-15 20:18 hudsonbot Checkin
2017-03-15 20:18 hudsonbot Note Added: 0095123
2017-03-15 20:18 hudsonbot Checkin
2017-03-15 20:18 hudsonbot Note Added: 0095151


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker